Subject: bug#11218: with-demoted-errors use of condition-case-unless-debug; ert

From: Stefan Monnier <[email-masked]>
Date: Sun, 06 May 2012 21:12:10 -0400

> Collecting additional information about why the test failed is useful
> to virtually everyone who bothers running the test; there should be no
> reason not to.

I disagree here.  I think it's just as well if the "check" and the
"debug" are done in 2 different steps.

> The proper solution is to decouple the behaviors, perhaps by splitting
> the variable, perhaps by some other means.

No, the proper solution is to make with-demoted-error (when run with
debug-on-error) continue execution (after hitting `c' in the debugger)
as if debug-on-error were nil.

        Stefan